
Katello - Bug #6300

Text should not be accepted as a limit for activation keys and host collections

06/19/2014 07:58 PM - Christine Fouant

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1097054 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1097054

Description of problem:

I was trying to update the system limit of selected activation key and trying to validate that limit with some special characters and

strings. But when I entered a string and clicked on save, a spinner starts rotating with a text 'working'

And when I navigate away, the limit was set to same as it was originally.

Version-Release number of selected component (if applicable):

Satellite 6 Beta Snap 4

Satellite-6.0.3-RHEL-6-20140508.1

How reproducible:

always

Steps to Reproduce:

1. create a activation key with system limit to 1

2. update the system limit with some string

3.

Actual results:

updating the system limit with some string gives a spinner rotating with a text 'working'

Expected results:

user should get proper validation error.

Additional info:

Associated revisions

Revision 5a7834e3 - 06/30/2014 03:44 PM - Walden Raines

Refs #6300 - use activationKey.unlimited rather than -1.

Revision 607f4e7f - 07/08/2014 01:23 PM - Walden Raines

Fixes #6078, #6300, #6514, BZ1105175, BZ1097054, BZ1101586: fix limit fields

This commit changes the way we handle limited fields such as Content Host

number of systems and Activation Key usage limit.  Instead of representing

"unlimited" as -1 we now represent it as a boolean on the object.

http://projects.theforeman.org/issues/6078

http://projects.theforeman.org/issues/6300

http://projects.theforeman.org/issues/6514

https://bugzilla.redhat.com/show_bug.cgi?id=1105175

https://bugzilla.redhat.com/show_bug.cgi?id=1097054

https://bugzilla.redhat.com/show_bug.cgi?id=1101586
Revision 5b00bb70 - 07/08/2014 01:23 PM - Walden Raines

Fixes #6078, #6300, #6514, BZ1105175, BZ1097054, BZ1101586: fix limit fields

This commit changes the way we handle limited fields such as Content Host

number of systems and Activation Key usage limit.  Instead of representing

"unlimited" as -1 we now represent it as a boolean on the object.

http://projects.theforeman.org/issues/6078

http://projects.theforeman.org/issues/6300

http://projects.theforeman.org/issues/6514

https://bugzilla.redhat.com/show_bug.cgi?id=1105175

https://bugzilla.redhat.com/show_bug.cgi?id=1097054

https://bugzilla.redhat.com/show_bug.cgi?id=1101586

Revision 5f406a71 - 07/08/2014 02:26 PM - Walden Raines

Merge pull request #4360 from waldenraines/6300

Fixes #6078, #6300, #6514, BZ1105175, BZ1097054, BZ1101586: fix limit fields

Revision 7434b38a - 07/08/2014 02:26 PM - Walden Raines

Merge pull request #4360 from waldenraines/6300

Fixes #6078, #6300, #6514, BZ1105175, BZ1097054, BZ1101586: fix limit fields

Revision e2bfda2a - 07/08/2014 02:27 PM - Walden Raines

Merge pull request #199 from waldenraines/6300

Refs #6300 - use activationKey.unlimited rather than -1.

History

#1 - 06/25/2014 06:14 PM - Christine Fouant

- Assignee changed from Christine Fouant to Walden Raines

- Triaged set to No

#2 - 06/25/2014 06:20 PM - Walden Raines

- Subject changed from Updating the system limit (of activationkey) with a invalid string gives rotating spinner with text 'working' to Text should not be

accepted as a limit

- Target version set to 49

- Difficulty set to medium

- Triaged changed from No to Yes

This issue should fix both activation keys and system groups for both client and server.

#3 - 06/25/2014 06:21 PM - Walden Raines

- Subject changed from Text should not be accepted as a limit to Text should not be accepted as a limit for host collections

#4 - 06/25/2014 06:22 PM - Walden Raines

- Subject changed from Text should not be accepted as a limit for host collections to Text should not be accepted as a limit for activation keys and host

collections

#5 - 06/26/2014 03:42 PM - Walden Raines

- Status changed from New to Assigned

#6 - 06/27/2014 04:13 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4360

#7 - 07/08/2014 03:04 PM - Walden Raines

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|607f4e7fdeefa10091b24a8a06fd2a45939c6038.

#8 - 08/22/2014 08:58 AM - Eric Helms

- translation missing: en.field_release set to 13
